package com.devsoap.tincheck.tin;

import com.fasterxml.jackson.annotation.JsonValue;
import lombok.RequiredArgsConstructor;

import java.time.LocalDate;
import java.util.Random;

public interface TinGenerator {

    String generate(LocalDate yearOfBirth, Gender gender, Random randomGenerator);

    @RequiredArgsConstructor
    enum Gender {
        MALE ("m"), FEMALE ("f");
        @JsonValue private final String symbol;
    }
}